> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 取代 Pathway

> 取代整個 Pathway

## 請求

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}/pathway
```

取代整個 Pathway。若要進行細部更新，請改用[節點](/zh-Hant/api-reference/v1/pathway/patch-node)與[邊](/zh-Hant/api-reference/v1/pathway/patch-edge)端點。

### 路徑參數

<ParamField path="projectId" type="string" required>
  專案 ID
</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

### 請求主體

<ParamField body="nodes" type="array" required>
  Pathway 節點陣列。必須至少包含一個 `start` 節點。
</ParamField>

<ParamField body="edges" type="array" required>
  連接各節點的邊陣列。
</ParamField>

<ParamField body="version" type="string" required>
  Pathway 版本字串。
</ParamField>

## 回應

```json theme={null}
{
  "message": "Pathway saved"
}
```
